# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(HTTP/WebTest.pm) perl(HTTP/WebTest/Plugin.pm) perl(HTTP/WebTest/SelfTest.pm) perl(HTTP/WebTest/Utils.pm) perl(IO/File.pm) perl(Test.pm) perl(Time/HiRes.pm) perl(URI.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name HTTP-WebTest-Plugin-Apache
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Plugin for local web file tests
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IL/ILYAM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This plugin adds support for local web file test mode to
the HTTP::WebTest manpage. In this mode Apache is started on a private/dynamic
port with a configuration file in a temporary directory and
the HTTP::WebTest manpage runs its tests against local web files using this
temporary local instance of Apache.

Data flow diagram for `HTTP::WebTest' using a local web file:

          --------------           ---------------------
          |            |           |                   |
          | Input      |           |  Web page code    |
          | parameters |           |  (Perl/HTML/etc.) |
          |            |           |                   |
          --------------           ---------------------
              |                              |
              |  -----------------------------
              |  |
              V  V                ------------------------
          -------------           |                      |
          |           |---------->| Temporary Apache     |
          |  WebTest  |           | directories (htdocs, |
          |           |<----------| conf, logs)          |
          -------------           |                      |
              |  ^                ------------------------
              |  |                        |    ^
              V  |                        V    |
          ------------             ----------------------
          |          |   request   |                    |
          |   HTTP   |------------>| Temporary local    |
          |   user   |             | instance of Apache |
          |   agent  |<------------|                    |
          |          |   response  ----------------------
          ------------

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/H*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

